## python-cykhash 2.0.0

=== debian/changelog ===
python-cykhash (2.0.0-3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:34:37 +0000

python-cykhash (2.0.0-3build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:40:46 +0000

python-cykhash (2.0.0-3build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:43 +0100

python-cykhash (2.0.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:28:35 +0000

python-cykhash (2.0.0-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Build-Depends: s/python3-dev/python3-all-dev/

  [ Nilesh Patra ]
  * Run tests properly with pytest and corresponding py interpreter

  [ Michael R. Crusoe ]
  * d/rules: added workaround to skip a few tests while we wait for Cython3
    3.x.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 14:02:59 +0100

python-cykhash (2.0.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2023 10:39:25 +0100

python-cykhash (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1055766)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Nov 2023 15:39:06 +0100
