=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=cykhash

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v tests/unit_tests --ignore tests/unit_tests/test_unique.py --ignore tests/unit_tests/test_CythonInterfaceSets.py --ignore tests/unit_tests/test_CythonInterfaceMaps.py"
	# TODO: remove --ignore-globs when cython3 3.x is a build-dep
endif
